# IInput | @coopenomics/sdk
Documentation for @coopenomics/sdk

# Interface IInput

interface IInput {
data : {
soviet: {
individual_data: {
birthdate: string;
first_name: string;
full_address: string;
last_name: string;
middle_name: string;
passport?: null | {
code: string;
issued_at: string;
issued_by: string;
number: number;
series: number;
};
phone: string;
};
role: string;
}[];
wif: string;
};
}

- Defined in components/sdk/src/mutations/system/installSystem.ts:10

#####
Index

### Properties

data

## Properties

### data

data: {
soviet: {
individual_data: {
birthdate: string;
first_name: string;
full_address: string;
last_name: string;
middle_name: string;
passport?: null | {
code: string;
issued_at: string;
issued_by: string;
number: number;
series: number;
};
phone: string;
};
role: string;
}[];
wif: string;
}

#### Type declaration

- ##### soviet: {
  individual_data: {
  birthdate: string;
  first_name: string;
  full_address: string;
  last_name: string;
  middle_name: string;
  passport?: null | {
  code: string;
  issued_at: string;
  issued_by: string;
  number: number;
  series: number;
  };
  phone: string;
  };
  role: string;
  }[]

- ##### wif: string

- Defined in components/sdk/src/mutations/system/installSystem.ts:16